curl --request GET \
--url https://api.computeflow.cloud/api/v3/servers \
--header 'api-key: <api-key>'import requests
url = "https://api.computeflow.cloud/api/v3/servers"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.computeflow.cloud/api/v3/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"servers": [
{
"instance_id": "<string>",
"name": "<string>",
"status": "launching",
"network_ports": [
{
"name": "<string>",
"internal_port": 123,
"external_port": 123,
"protocol": "udp",
"host": "<string>",
"tls_enabled": true
}
],
"startup_args": "<string>",
"service_type": "match_based",
"compute_size": "<string>",
"region": "<string>",
"version_tag": "<string>",
"version": 123,
"started_at": "2023-11-07T05:31:56Z",
"stopped_at": "2023-11-07T05:31:56Z",
"auto_restart": true,
"custom_data": {},
"ttl": 123,
"is_pool_server": true,
"pool_claimed_at": "2023-11-07T05:31:56Z",
"match_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"offset": 123,
"has_more": true
}List servers
Returns a paginated list of game servers for your project. By default, only servers in running status are returned. Use include_launching=true to also see servers that are still starting up, or include_pool=true to include pre-provisioned pool machines.
Authorizations
Query Parameters
Include servers in "launching" status. By default only "running" servers are returned.
true, false Include pre-provisioned pool servers (stopped machines waiting to be claimed).
true, false Maximum number of servers per page (1–100). Defaults to 50.
1 <= x <= 100Number of servers to skip for pagination. Defaults to 0.
x >= 0Response
Paginated list of servers matching the query filters.
Paginated list of game server instances.
Total number of servers matching the query filters.
Array of server instances for the current page.
Show child attributes
Show child attributes
Maximum number of items per page (as requested).
Number of items skipped (for pagination).
True if there are more servers beyond this page. Use offset + limit to fetch the next page.